package com.virtual.plat.server.rs.host.entity;

import com.virtual.plat.server.rs.host.entity.RsPhysicalNetCardInfo;
import java.io.Serializable;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(
   name = "request"
)
@XmlAccessorType(XmlAccessType.FIELD)
public class RsPhysicalNetCardRequest implements Serializable {

   private static final long serialVersionUID = -4484770394818959855L;
   @XmlElement(
      name = "select"
   )
   private RsPhysicalNetCardInfo select;
   @XmlElement
   private String operationType;
   @XmlElement(
      name = "data"
   )
   private RsPhysicalNetCardInfo data;


   public String getOperationType() {
      return this.operationType;
   }

   public void setOperationType(String var1) {
      this.operationType = var1;
   }

   public RsPhysicalNetCardInfo getSelect() {
      return this.select;
   }

   public void setSelect(RsPhysicalNetCardInfo var1) {
      this.select = var1;
   }

   public RsPhysicalNetCardInfo getData() {
      return this.data;
   }

   public void setData(RsPhysicalNetCardInfo var1) {
      this.data = var1;
   }

   public static void main(String[] var0) {
      RsPhysicalNetCardRequest var3;
      (var3 = new RsPhysicalNetCardRequest()).setOperationType("get");
      RsPhysicalNetCardInfo var1;
      (var1 = new RsPhysicalNetCardInfo()).setName("CARD");
      var1.setIsPhysical("no");
      var3.setSelect(var1);

      try {
         Marshaller var4;
         (var4 = JAXBContext.newInstance(new Class[]{RsPhysicalNetCardRequest.class}).createMarshaller()).setProperty("jaxb.formatted.output", Boolean.valueOf(true));
         var4.marshal(var3, System.out);
      } catch (JAXBException var2) {
         System.out.println("output xml error!");
         var2.printStackTrace();
      }
   }
}
